Non mi riesce l'installazione di openSUSE 12.3

Ritratto di Grinch
Grinch
(Guru)
Offline
Guru
Iscritto: 05/12/2011
Messaggi: 881

Come ho già detto cambia i Repo alla 12.2 e zypper dup .

Il capire il perchè , non è facile , Party se vedessi capissi Party

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1704

Grinch ha scritto:

Come ho già detto cambia i Repo alla 12.2 e zypper dup .
Il capire il perchè , non è facile , Party se vedessi capissi Party

Infatti avviene un aggiornamento ma le impostazioni rimangono uguali, pare che la 12.3 abbia qualche problema nel riconoscimento dell'hardware specie se vecchio.

ATTENZIONE: Non funziona se passate dalla 12.1 alla 12.2 e seguenti!!! (cambiano molti percorsi e impostazioni di base) Funziona solo tra la le 12.2 e 12.3

--

La 12.2 aggiornata, permette le stesse cose (salvo il BIOS EFI) della 12.3... Per adesso.
--

Se compare uno schermo nero un trucco è premere CTRL+ALT+F10 (CTRL+AT+F7 per ritornare) si aprirà la console degli errori dove spesso, leggendo capisci i problemi.

Barbatrucco: Meglio istallarsi prima SAX3 (provare se funziona, solo accensione, su un terminale) che consente d'impostare il video in Xwindow.

SO: Linux desktop Sistema: OpenSUSE Leap 15.1 (64bit) KDEE 5.12
SO: Linux desktop Sistema: OpenSUSE Tumbleweed (64bit) KDE 5
Miao

Ritratto di Templare
Templare
(Collaboratore)
Offline
Collaboratore
Iscritto: 28/10/2011
Messaggi: 747

Vuemme ha scritto:

Ho usato la versione DVD, l'ho scaricata due volte, controllata ed è risultata priva di errori. Ho selezionata solo MBR come ho sempre fatto e come ho fatto con Suse 12.2. Uso Suse dal 2005 e mai mi era successo che non venisse installato il Boot Loader. Dunque, installando Suse 12.2 e selezionando MBR il Boot Loader viene installato; installando Suse 12.3 e selezionando MBR il Boot Loader non viene installato. C'è qualcosa che non riesco a capire, qualcosa di illogico. Dove è l'errore?

E' probabile che ci sia un bug nella versione DVD.

Prova a fare così: tirati giù l'installazione da rete e quando la fai partire, installa sia su radice che su MBR.

Io ho fatto così su un portatile abbastanza recente con Apu AMD E-450 ed ha funzionato tutto a primo colpo (intendo l'installazione).

GiulioGG ha scritto:

Ho cercato di installare openSUSE 12.3 (il checksum era corretto) ma il riavviamento si è bloccato prima di arrivare alla schermata di immissione della password; durante il processo di installazione ho notato al volo su qualcuno dei messaggi che scorrevano velocemente sullo schermo che c'era qualche problema con initrd, ma il processo di installazione non si è bloccato.C'è modo di rimediare e arrivare a installare correttamente questa versione? (nel frattempo ho dovuto ripiegare sulla versione 12.1 che però non è abbastanza aggiornata per fotografia e filmati).

Anche tu hai usato la versione DVD? Prova l'installazione da rete

Assemblato 1: Phenom II X4 965 Black Edition + AMD Radeon HD 5770 + Scheda Madre Asus Crosshair IV Formula + Scheda Audio Asus Xonar D2X. Sistema Windows 7 Ultimate 64 Bit
Assemblato 3: Intel Core i3 3220 + nVIDIA Geforce 640 GT. Sistema openSUSE 13.1 64 bit GNOME

Ritratto di Vuemme
Vuemme
(Geek)
Offline
Geek
Iscritto: 31/01/2006
Messaggi: 75

Fammi capire: come devo modificare i repository ? Dove è scritto /12.2/ modifico in /12.3/ e poi do il comando zypper dup? Devo inserire anche il DVD?
Se inserisco il DVD, ad aggiornamento avvenuto, dopo la configurazione automatica, installa il menu d'avvio ma non il boot loader e quindi in problema rimane.

Domani provo l'installazione da rete. Adesso ricontrollo il DVD passo dopo passo fino al "sommario dell'installazione".

vuemme

Ritratto di Templare
Templare
(Collaboratore)
Offline
Collaboratore
Iscritto: 28/10/2011
Messaggi: 747

http://it.opensuse.org/SDB:Aggiornamento_del_sistema_ad_una_nuova_versione

Assemblato 1: Phenom II X4 965 Black Edition + AMD Radeon HD 5770 + Scheda Madre Asus Crosshair IV Formula + Scheda Audio Asus Xonar D2X. Sistema Windows 7 Ultimate 64 Bit
Assemblato 3: Intel Core i3 3220 + nVIDIA Geforce 640 GT. Sistema openSUSE 13.1 64 bit GNOME

Ritratto di Vuemme
Vuemme
(Geek)
Offline
Geek
Iscritto: 31/01/2006
Messaggi: 75

OK! Proverò con Zypper.
Ho ricontrollato il DVD: Quando arrivo al "sommario dell'installazione", nella sezione Boot Loader è scritto esattamente così:
-Boot Loader GRUB 2
-Ubificazione /dev/mapper/isw_dbaae_volume0_part1 (estesa)
Cambia: MBR abilitata
Avvio part/boot abilitato
sequenza dischi /dev/mapper/isw_dbaae_volume0,/dev/sdf

vuemme

Ritratto di Templare
Templare
(Collaboratore)
Offline
Collaboratore
Iscritto: 28/10/2011
Messaggi: 747

/dev/sdf?

Ma stai usando una chiavetta? E quanti dischi hai?

Perchè per arrivare a f insomma... ma che hai 6 dischi o 6 partizioni?

Assemblato 1: Phenom II X4 965 Black Edition + AMD Radeon HD 5770 + Scheda Madre Asus Crosshair IV Formula + Scheda Audio Asus Xonar D2X. Sistema Windows 7 Ultimate 64 Bit
Assemblato 3: Intel Core i3 3220 + nVIDIA Geforce 640 GT. Sistema openSUSE 13.1 64 bit GNOME

Ritratto di Vuemme
Vuemme
(Geek)
Offline
Geek
Iscritto: 31/01/2006
Messaggi: 75

No, è solo collegato un HD esterno di 500 GB , ma durante l'installazione l'ho disinserisco. Non ho neppure Windows che ho cancellato quando non sono riuscito ad installare Suse12.3 (fra l'altro usavo Win solo per photoshop e Corel). Quindi ho solo un disco interno di 233gb.
Ho notato, nonostante che io abbia abilitato "usa disco intero" che vengono create in automatico almeno 4 piccole partizioni di cui ignoro il motivo. Quando tento di aggiornare il sistema con il DVD non trovo la partizione con il sistema installato ma rilevando tutte le partizioni trovo il sistema suse 12.2 e 4 partizioni sconosciute oltre , naturalmente alla part swap e quell estesa. Ecco il mio hardware:

Scheda madre: GA EP45-DS5 Gigabyte
nformazioni sul sistema operativo
SO:
Linux 3.4.33-2.24-desktop x86_64
Utente corrente:
vuemme40@linux-bk7k
Sistema:
openSUSE 12.2 (x86_64)
KDE:
4.8.5 (4.8.5) "release 2"
Informazioni sullo schermo
Produttore:
nVidia Corporation
Modello:
6
Driver 2D:
nouveau
Driver 3D:
Sconosciuto Gallium (8.0.4)

Informazioni sulla CPU
Processore (CPU):
Intel(R) Core(TM) i7 CPU K 875 @ 2.93GHz
Velocità:
1.197,00 MHz
Core:
8
Informazioni sulla memoria
Memoria totale (RAM):
3,9 GiB
Memoria disponibile:
2,4 GiB (+ cache 845,5 MiB )
Swap disponibile:
2,0 GiB

vuemme

Ritratto di Vuemme
Vuemme
(Geek)
Offline
Geek
Iscritto: 31/01/2006
Messaggi: 75

Ho aggiornato il sistema da 12.2 a 12.3 tramite zypper. Dopo che ho aggiornato tutto ho voluto dare un'occhiata al Boot Loader.
Dunque quello che leggo in Yast è questo:
Can't locate LIMAL/LogHelper.pm in @INC (@INC contains: /y2update/modules /root/.yast2/modules /usr/share/YaST2/modules /usr/lib/perl5/site_perl/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.16.2 /usr/lib/perl5/vendor_perl/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.16.2 /usr/lib/perl5/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/5.16.2 /usr/lib/perl5/site_perl/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.16.2 /usr/lib/perl5/site_perl .) at /usr/share/YaST2/modules/Bootloader_API.pm line 12.
BEGIN failed--compilation aborted at /usr/share/YaST2/modules/Bootloader_API.pm line 12.
Compilation failed in require.
BEGIN failed--compilation aborted (#1)
(F) You said to do (or require, or use) a file that couldn't be found.
Perl looks for the file in all the locations mentioned in @INC, unless
the file name included the full path to the file. Perhaps you need
to set the PERL5LIB or PERL5OPT environment variable to say where the
extra library is, or maybe the script needs to add the library name
to @INC. Or maybe you just misspelled the name of the file. See
"require" in perlfunc and lib.

Uncaught exception from user code:
Can't locate LIMAL/LogHelper.pm in @INC (@INC contains: /y2update/modules /root/.yast2/modules /usr/share/YaST2/modules /usr/lib/perl5/site_perl/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.16.2 /usr/lib/perl5/vendor_perl/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.16.2 /usr/lib/perl5/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/5.16.2 /usr/lib/perl5/site_perl/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.16.2 /usr/lib/perl5/site_perl .) at /usr/share/YaST2/modules/Bootloader_API.pm line 12.
BEGIN failed--compilation aborted at /usr/share/YaST2/modules/Bootloader_API.pm line 12.
Compilation failed in require.
BEGIN failed--compilation aborted.

Adesso ho paura che se spengo il pc non si riaccende più: Cosa faccio? Devo installare di nuovo la Suse 12.2? Posso risolvere il problema diversamente?

vuemme

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1704

Secondo me, (non sono sicuro al 100%, ma provare non costa) ti mancano i moduli/libreria PERL (è un linguaggio di programmazione) per il BOOtloader.

http://software.opensuse.org/search?q=Bootloader&baseproject=openSUSE%3A12.3&search_devel=false&search_unsupported=false

Scarica sia il perl-BOOtloader che il BOOtloader

SO: Linux desktop Sistema: OpenSUSE Leap 15.1 (64bit) KDEE 5.12
SO: Linux desktop Sistema: OpenSUSE Tumbleweed (64bit) KDE 5
Miao